ContactGroups
Remove members from a contact group
Removes one or more contacts from a contact group, returning the count of removed members.
Removes one or more contacts from a contact group, returning the count of removed members.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
groupId*string
Match
^cgrp_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
contactIds*array<>
Items
1 <= itemsResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/contact-groups/string/members" \ -H "Content-Type: application/json" \ -d '{ "contactIds": [ "string" ] }'{ "removed": 0}Delete a contact group
Permanently deletes a contact group by its ID. Use this endpoint to delete a contact group through the Samva email API.
Update a contact group
Updates an existing contact group's fields and returns the updated group. Use this endpoint to update a contact group through the Samva email API.